#ifndef __LIGHT_H
#define __LIGHT_H

#include "common.h"
#include "Vector3.h"
#include "Material.h"


namespace CHCDemoEngine 
{

/** Class representing a directional light source
*/
class DirectionalLight
{
public:
	
	DirectionalLight(const Vector3 &dir, const RgbaColor &col): mColor(col) { mDirection = Normalize(dir); }

	Vector3 GetDirection() const { return mDirection; }
	void SetDirection(const Vector3 &dir) { mDirection = dir; }

	RgbaColor GetColor() const { return mColor; }


protected:

	Vector3 mDirection;
	RgbaColor mColor;
};

}

#endif // __LIGHT_H